new gcc version & nvidia .run file

apparently my gcc version got bumped up recently (openSUSE 11.4 RC1) and the nvidia installer (.run) doesn’t recognize that version.

when trying to re-compile the nvidia driver (270.18) as usual, i got an error message saying that driver install. failed. in /var/log/nvidia-installer.log i saw that the test for a working gcc compiler failed. hu?

checked in yast (ncurses, and found gcc et al installed, as they have been for ages. next i ran the nvidia installer without the “-q” option, which suppresses questions during the install and uses the default option. when the installer asked me if i wanted to abort because there didn’t seem to be a working gcc, i told it to continue anyway, and the installation proceeded successfully.

thought this might help others who may be confronted with this problem…


phani.

Since openSUSE 11.3, I have been installing using the command:

sh Nvidia*.run

or

sh *.run

This is done without using “-q” .

Remember to have fun!

Romanator